OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
RandomLeafFilter< PointDataTreeT, RandGenT > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types
using | SeedCountPair = std::pair< Index, Index >
using | LeafMap = std::unordered_map< openvdb::Coord, SeedCountPair >

## Public Member Functions
| RandomLeafFilter (const PointDataTreeT &tree, const Index64 targetPoints, const unsigned int seed=0)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
void | next () const
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)

## Friends
class | ::TestIndexFilter

## Member Typedef Documentation

## ◆ LeafMap

template<typename PointDataTreeT , typename RandGenT >

using LeafMap = std::unordered_map<openvdb::Coord, SeedCountPair>

## ◆ SeedCountPair

template<typename PointDataTreeT , typename RandGenT >

using SeedCountPair = std::pair<Index, Index>

## Constructor & Destructor Documentation

## ◆ RandomLeafFilter()

template<typename PointDataTreeT , typename RandGenT >

RandomLeafFilter | ( | const PointDataTreeT & | tree,
|  | const Index64 | targetPoints,
|  | const unsigned int | seed = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ initialized()

template<typename PointDataTreeT , typename RandGenT >

bool initialized | ( |  | ) | const
| inline

## ◆ next()

template<typename PointDataTreeT , typename RandGenT >

void next | ( |  | ) | const
| inline

## ◆ reset()

template<typename PointDataTreeT , typename RandGenT >
template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ state() [1/2]

template<typename PointDataTreeT , typename RandGenT >

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<typename PointDataTreeT , typename RandGenT >
template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

template<typename PointDataTreeT , typename RandGenT >
template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ ::TestIndexFilter

template<typename PointDataTreeT , typename RandGenT >

friend class ::TestIndexFilter
| friend